Chat

Create new chat

AuthBearer (JWT)
GroupChat
Rate limitSee Rate Limits
POST/api/chat/projects/{projectId}/chats

SDK setup

Create a client and set credentials (JWT and/or API key) before calling the API. Match the authentication type shown above.

import { Configuration, ChatApi } from 'mudbase-sdk';

const configuration = new Configuration({
  basePath: 'https://cloud.mudbase.dev',
  accessToken: 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiJ1c3JfbW9yZ2FuX2RlIiwiZW1haWwiOiJtb3JnYW4uY2hlbkBub3J0aHdpbmQuZGV2IiwiZXhwIjoxODI1MTI5NjAwfQ.doc_preview_sig',
});

const chat = new ChatApi(configuration);
import { Configuration, ChatApi } from 'mudbase-sdk';

const configuration = new Configuration({
  basePath: 'https://cloud.mudbase.dev',
  accessToken: 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiJ1c3JfbW9yZ2FuX2RlIiwiZW1haWwiOiJtb3JnYW4uY2hlbkBub3J0aHdpbmQuZGV2IiwiZXhwIjoxODI1MTI5NjAwfQ.doc_preview_sig',
});

const chat = new ChatApi(configuration);

Example request

Call this endpoint using the client from SDK setup. Use View HTTP for a raw cURL example.

const { data: result } = await chat.createChat(
  "proj_HsojrVddhrIc",
  {
    name: "Eula O'Keefe",
    description: "Ergonomic Chair made with Cotton for all-day sore support",
    type: "circuit bypass",
    participants: "3f0d:5acc:f76b:6c8c:7db8:face:b5e4:4e50",
    settings: "microchip connect"
  }
);
const { data: result } = await chat.createChat(
  "proj_HsojrVddhrIc",
  {
    name: "Eula O'Keefe",
    description: "Ergonomic Chair made with Cotton for all-day sore support",
    type: "circuit bypass",
    participants: "3f0d:5acc:f76b:6c8c:7db8:face:b5e4:4e50",
    settings: "microchip connect"
  }
);

Playground

live

Test this endpoint with your own credentials. Your requests will be sent to the live API.

Use the auth endpoints to obtain a JWT.

No Request Yet

Send a request to see the full inspector

Authentication

Requires JWT
Note
Include your JWT in the Authorization: Bearer YOUR_TOKEN header (user-facing apps, RBAC). View authentication guide →

Path Parameters

NameTypeRequiredDescription
projectIdstringYes

Request Body

json
{
  "name": "Johnathan Torp I",
  "description": "Introducing the French Polynesia-inspired Towels, blending amazing style with local craftsmanship",
  "type": "broadcast",
  "participants": [
    "hard drive hack"
  ],
  "settings": {}
}
{
  "name": "Johnathan Torp I",
  "description": "Introducing the French Polynesia-inspired Towels, blending amazing style with local craftsmanship",
  "type": "broadcast",
  "participants": [
    "hard drive hack"
  ],
  "settings": {}
}

Responses

201Chat created
json
{
  "success": true,
  "data": {
    "_id": "65a1b2c3d4e5f6789012345f",
    "name": "Team Chat",
    "type": "group",
    "participants": [
      {
        "user": "65a1b2c3d4e5f6789012345",
        "role": "admin"
      }
    ],
    "createdAt": "2024-01-15T10:00:00.000Z"
  }
}
{
  "success": true,
  "data": {
    "_id": "65a1b2c3d4e5f6789012345f",
    "name": "Team Chat",
    "type": "group",
    "participants": [
      {
        "user": "65a1b2c3d4e5f6789012345",
        "role": "admin"
      }
    ],
    "createdAt": "2024-01-15T10:00:00.000Z"
  }
}
400
401

Errors

CodeMeaning
400
401
Edit this page on GitHub